<?php 
	session_start();

	include "../conexion.php";
	
	if(!isset($_SESSION['id_usuario'])){
		
		$linea['resultado'] = '0';
		$linea['mensaje'] = "Sesión caducada, favor de reiniciar la sesión <a href='index.php'> Click Aqui </a>";

		echo json_encode($linea);
		die();
	}
	
	//si no es super usuario se impide el acceso
	if( $_SESSION['tipo_usuario'] != "A" ){
		header('Location: ../');
		die("");
	}

	$sql = "SELECT 
				id_usuario
			FROM 
				tr_t_usuarios
			WHERE 
				correo = '$_POST[correo]'";
	
	$resultado = mysqli_query($conexion, $sql);

	if(mysqli_num_rows($resultado) > 0){
		$linea['resultado'] = '0';
		$linea['mensaje'] = "El correo ya se encuentra en uso, favor de usar otro."; 
		echo json_encode($linea);
		die();
	}	

	
	$sql = "INSERT INTO `tr_t_usuarios`
			(
			`correo`,
			`pass`
			)
			VALUES
			(
			'$_POST[correo]',
			'$_POST[pass]'
			);";
	

	if(mysqli_query($conexion, $sql)){
		$linea['resultado'] = '1';
		$linea['mensaje']   = mysqli_insert_id($conexion);
	} else{

		$linea['resultado'] = '0';

		if(strpos(mysqli_error($conexion), "Duplicate entry") !== false ){
			$linea['mensaje'] = "El correo ya se encuentra en uso, favor de usar otro."; 
		}else{
			$linea['mensaje'] = mysqli_error($conexion); 
		}
		
	}

	echo json_encode($linea);

	mysqli_close($conexion);
 ?>